{% if request.is_ajax() %}
    {%- import "shuup/front/macros/general.jinja" as macros with context -%}
    {%- import "shuup/front/macros/category.jinja" as category_macros with context -%}
    {{ category_macros.render_product_list(supplier) }}
{% else %}
    {% extends "shuup/front/base.jinja" %}

    {% block extrameta %}
        {% if category %}
        {%- cache 86400 'categories' -%}
            {{ macros.render_metadata(category, category.name, category.description, "category") }}
            {%- endcache -%}
        {% endif %}
    {% endblock %}

    {% block title %}{{ (category.name if category else _("Categories")) }}{% endblock %}

    {% block content_title %}{% endblock %}

    {% block breadcrumb %}
        {% if category %}
            {% call macros.breadcrumb() %}
                {{ macros.render_breadcrumb_item("/", _("Home")) }}
                {% for c in category.get_ancestors() if c.is_visible(customer=request.customer) %}
                    {{ macros.render_breadcrumb_item(shuup.urls.model_url(c), c.name) }}
                {% endfor %}
                {{ macros.render_breadcrumb_item(None, category.name, True) }}
            {% endcall %}
        {% endif %}
    {% endblock %}

    {% block content %}
        <h1 class="sr-only">{{ (category.name if category else "") }}</h1>
        <script>window.PRODUCT_LIST_FILTERS = {{ form.fields.keys()|list|json }};</script>
        {%- cache 86400 'categories-products-'request.get_full_path()'-'request.shop -%}
        {{ category_macros.render_products_section(supplier) }}
        {%- endcache -%}
    {% endblock %}

    {% block extra_content %}
        {{ category_macros.render_product_filters() }}
    {% endblock %}
{% endif %}

{% block extrajs %}
    {{ category_macros.render_extrajs() }}
{% endblock %}
